Table Lineage

Prev Next
Get
/api/v1/Catalog/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/lineage

Returns the lineage of a specified table

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
dataSourceId
integer (int32) Required

Id of the data source of the table having its lineage retrieved

schemaId
integer (int32) Required

Id of the schema of the table having its lineage retrieved

tableId
integer (int32) Required

Id of the table having its lineage retrieved

Query parameters
direction
string

Direction of the lineage (sources or targets)

Valid values[ "Sources", "Targets" ]
depth
integer (int32)

Number of lineage levels to pull (optional; defaults to 1)

Default1
Responses
200

OK

Expand All
object
dataSourceId
integer (int32)

The ID of the data source of the table having its lineage retrieved

dataSourceName
string | null

The name of the data source of the table having its lineage retrieved

schemaId
integer (int32)

The ID of the schema of the table having its lineage retrieved

schemaName
string | null

The name of the schema of the table having its lineage retrieved

tableId
integer (int32)

The ID of the table having its lineage retrieved

tableName
string | null

The name of the table having its lineage retrieved

sources
Array of object (Configuration.Api.Models.v1.LineageTableSourceSummary) | null

List of lineage sources for the object; will be blank if targets were selected

object
dataSourceId
integer (int32)

Data Source ID

dataSourceName
string | null

Data Source Name

schemaId
integer (int32)

Schema ID

schemaName
string | null

Schema Name

tableId
integer (int32)

Table ID

tableName
string | null

Table Name

sources
Array of object (Configuration.Api.Models.v1.LineageTableSourceSummary) | null

The sources of the source object

object Recursive
targets
Array of object (Configuration.Api.Models.v1.LineageTableTargetSummary) | null

List of lineage targets for the object; will be blank if sources were selected

object
dataSourceId
integer (int32)

Data Source ID

dataSourceName
string | null

Data Source Name

schemaId
integer (int32)

Schema ID

schemaName
string | null

Schema Name

tableId
integer (int32)

Table ID

tableName
string | null

Table Name

targets
Array of object (Configuration.Api.Models.v1.LineageTableTargetSummary) | null

The targets of the target object

object Recursive
400

Bad Request

404

Not Found

object
error
string | null